PromotedLinks
PromotedLinks entities and endpoints of the Amplify API.
A PromotedLink is the entity that describes a single piece of promoted content. As of April 12, 2021 each campaign is limited to 30,000 PromotedLinks.
PromotedLink
The PromotedLink object has the following attributes:
| Property | Type | Semantic | Example |
|---|---|---|---|
| id | String | The ID of this PromotedLink read-only | "00f4b02153ee75f3c9dc4fc128ab041962" |
| campaignId | String | The ID of the campaign to which the PromotedLink belongs read-only | "00f4b02153ee75f3c9dc4fc128ab041963" |
| text | String | The text of the PromotedLink | "Google to take over huge NASA hangar, give execs' private planes a home" |
| lastModified | Time | The time when the PromotedLink was last modified. read-only | "2013-03-16 10:32:31" |
| creationTime | Time | The time when the PromotedLink was created. read-only | "2013-01-14 07:19:16" |
| url | String | The URL visitors will be sent to upon clicking the PromotedLink. read-only | "http://www.engadget.com/2014/02/11/nasa-google-hangar-one/" |
| sectionName | String | The section name of the site the PromotedLink URL points to. | "Sports" |
| description | String | The description of the PromotedLink | "This is exciting news" |
| status | PromotedLink Review Status | Deprecated, use approvalStatus instead. The review status of the PromotedLink. read-only | "PENDING" |
| approvalStatus | PromotedLink Approval Status | The approval status of the PromotedLink. | |
| enabled | Boolean | Designates whether this PromotedLink will be served. | true |
| archived | Boolean | Designates whether this PromotedLink is archived. | true |
| documentLanguage | Language code | The 2-letter code for the language of this PromotedLink (via the PromotedLink's URL). read-only | "EN" |
| cpc | Money | (deprecation date 20.4.20) Cost Per Click. | 0.58 |
| baseUrl | String | The URL that the PromotedLink was created with. read-only | ""http://money.cnn.com/2013/11/26/news/economy/milk-farm-bill/"" |
| documentID | String | The ID of the document to which this PromotedLink belongs. read-only NOTE: the term document refers to the PromotedLink's url | 00a07df85ee3f71d07ebdf0a53f2fd61af |
| onAirStatus | PromotedLink onAir Status | Indicates whether the PromotedLink is onAir or not | |
| cpcAdjustment | Number | CPC adjustment bid of this promotedLink based on the campaign’s CPC (optional). Float number with precision of 3 digits (between -1 and 10) | 0.1 |
| callToAction | Call To Action | The Call to Action on PromotedLink | |
| imageMetadata | Image Meta Data | PromotedLink's image metadata | |
| logoMetadata | Logo Meta Data | The PromotedLink's own brand logo. Requires extraFields=LogoMetaData. If omitted at creation, the advertiser's Marketer.logoMetadata is copied in as a one-time default | |
| metaData | String | non-serving reference name of the PromotedLink (optional) |
Endpoints
- Retrieve a Single PromotedLink —
GET /promotedLinks/{id} - Update an Existing PromotedLinks Status —
PUT /promotedLinks/{ids} - Update Existing PromotedLinks CPC Value —
PUT /campaigns/{campaignId}/promotedLinks
Create a PromotedLink
Endpoints
- Create a PromotedLink —
POST /campaigns/{campaignId}/promotedLinks
Create multiple PromotedLinks
Endpoints
- Create multiple PromotedLinks —
POST /campaigns/{campaignId}/multiplePromotedLinks
Update multiple PromotedLinks
Endpoints
- Update multiple PromotedLinks —
PUT /campaigns/{campaignId}/promotedLinks/
PromotedLinks Collection
Collection of all PromotedLinks for the specified Campaign. Results can be filtered by supplying additional query parameters.
Note: some promoted link properties require using the Extra Field notion
The PromotedLinks collection resource has the following attributes:
- count - Number of PromotedLinks returned in the
PromotedLinksarray included in this response. - promotedLinks - Array of
PromotedLinksobjects. - totalCount - Total number of
PromotedLinksregardless of 'limit' and 'offset' parameters, used for pagination.
Endpoints
- List PromotedLinks for Campaign —
GET /campaigns/{id}/promotedLinks